Description: Fix get_post for non-strings
Origin: https://oss.gonicus.de/labs/gosa/changeset/21181/trunk

--- a/gosa-core/include/functions.inc
+++ b/gosa-core/include/functions.inc
@@ -2757,7 +2757,7 @@
         } else {
           $tmp = $_POST;
         }
-        return($tmp);
+        return($tmp[$name]);
     }else{
 
         if(version_compare(PHP_VERSION, '5.4.0', '<') && get_magic_quotes_gpc()){
